package cz.jzitnik.game.entities.items.registry.mobs;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.EntityRegistry;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.mobs.services.pig.PigData;

// Yes, pig is a block. Cry about it.
@EntityRegistry("pig")
public class Pig extends Block {
    public Pig() {
        super("pig", SpriteLoader.SPRITES.PIG);
        setMob(true);
        setGhost(true);
        setSpriteState(cz.jzitnik.game.sprites.Pig.PigState.RIGHT);
        setMineable(false);
        setData(new PigData());
        setHp(10);
    }
}
